org.apache.ignite.internal.processors.platform.entityframework

## Class PlatformDotNetEntityFrameworkIncreaseVersionProcessor

- java.lang.Object
- - org.apache.ignite.internal.processors.platform.entityframework.PlatformDotNetEntityFrameworkIncreaseVersionProcessor

All Implemented Interfaces:
  Serializable, javax.cache.processor.EntryProcessor<String,Long,Long>, CacheEntryProcessor<String,Long,Long>

    public class PlatformDotNetEntityFrameworkIncreaseVersionProcessor
    extends Object
    implements CacheEntryProcessor<String,Long,Long>

Entry processor that increments entity set version number.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`PlatformDotNetEntityFrameworkIncreaseVersionProcessor()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Long` `process(javax.cache.processor.MutableEntry<String,Long> entry, Object... args)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PlatformDotNetEntityFrameworkIncreaseVersionProcessor

    public PlatformDotNetEntityFrameworkIncreaseVersionProcessor()

### Method Detail

#### process

    public Long process(javax.cache.processor.MutableEntry<String,Long> entry,
                        Object... args)
                 throws javax.cache.processor.EntryProcessorException

Specified by:
  `process` in interface `javax.cache.processor.EntryProcessor<String,Long,Long>`
Throws:
  `javax.cache.processor.EntryProcessorException`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.14.0
Release Date | : September 29 2022